# $Revision: 1.89 $, $Date: 2008/10/24 18:44:25 $
# TODO:
# - enable internalization support (BR libftgl)
# - libsolid/libqhull/libode BR ?
Summary:	3D modeling, rendering, animation and game creation package
Summary(pl.UTF-8):	Pakiet do tworzenia animacji 3D oraz gier
Name:		blender
Version:	2.48a
Release:	1
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://download.blender.org/source/%{name}-%{version}.tar.gz
# Source0-md5:	055d68d244458e9e429e4e492fc9b4ad
Source1:	%{name}.desktop
Source2:	%{name}.png
Source4:	%{name}-wrapper
Source5:	%{name}.manpage
Patch0:		%{name}-po_and_locale_names.patch
Patch1:		%{name}-noxml-yafray.patch
Patch2:		%{name}-ffmpeg.patch
URL:		http://www.blender.org/
BuildRequires:	OpenEXR-devel
BuildRequires:	OpenGL-devel
BuildRequires:	SDL-devel
BuildRequires:	gcc >= 5:3.4.0
BuildRequires:	ffmpeg-devel >= 0.4.9-4.20080930.1
BuildRequires:	freealut-devel
BuildRequires:	freetype-devel
BuildRequires:	ftgl-devel
BuildRequires:	gettext-devel
#BuildRequires:	esound-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool
BuildRequires:	libvorbis-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	rpmbuild(macros) >= 1.385
BuildRequires:	scons
BuildRequires:	sed >= 4.0
#BuildRequires:	smpeg-devel
BuildRequires:	zlib-devel
Requires(post,postun):	desktop-file-utils
Requires:	OpenGL
Requires:	freetype
Requires:	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1

%description
Blender is a free and fully functional 3D modeling, rendering,
animation and game creation package for Unix, Windows and BeOS
systems.

%description -l pl.UTF-8
Blender to darmowy i w pełni funkcjonalny pakiet do tworzenia animacji
3D oraz gier, dostępny dla systemów Unix, Windows i BeOS.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0

rm -f missing
rm -f user-config.py
rm -rf bin/.blender/locale

RPMCFLAGS="\"`echo %{rpmcflags}|sed 's/ /\",\"/g'`\""
RPMLDFLAGS="\"`echo %{rpmldflags}|sed 's/ /\",\"/g'`\""

cat > user-config.py <<END
CCFLAGS           = [$RPMCFLAGS, "-funsigned-char", "-fPIC"]
CXXFLAGS          = [$RPMCFLAGS, "-funsigned-char", "-fPIC"]
LDFLAGS           = [$RPMLDFLAGS]
TARGET_CC         = '%{__cc}'
TARGET_CXX        = '%{__cxx}'

BF_PYTHON_VERSION = '%{py_ver}'

BF_FFMPEG         = '/usr'
BF_FFMPEG_INC     = '%{_includedir}/ffmpeg'
BF_FFMPEG_LIBPATH = '%{_libdir}'
BF_FFMPEG_LIB     = 'avformat avcodec swscale avutil'

LCGDIR            = 'lib/linux2'
BF_BUILDDIR       = 'build/linux2'
BF_INSTALLDIR     = 'install/linux2'
END

%build
%scons BF_OPENGL_LIBPATH=%{_x_libraries}
%{__make} -C po OCGDIR=..

install -d release/plugins/include
install source/blender/blenpluginapi/*.h release/plugins/include
chmod +x release/plugins/bmake
%{__make} -C release/plugins/

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir},%{_desktopdir},%{_pixmapsdir},%{_bindir}} \
	$RPM_BUILD_ROOT%{_datadir}/blender/bpydata

install ./install/linux2/blender $RPM_BUILD_ROOT%{_bindir}/blender-bin
install %{SOURCE4} $RPM_BUILD_ROOT%{_bindir}/blender
#install blenderplayer $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
install -d $RPM_BUILD_ROOT%{_libdir}/blender/plugins/sequence
install -d $RPM_BUILD_ROOT%{_libdir}/blender/plugins/texture
install ./release/plugins/sequence/*.so $RPM_BUILD_ROOT%{_libdir}/blender/plugins/sequence
install ./release/plugins/texture/*.so $RPM_BUILD_ROOT%{_libdir}/blender/plugins/texture
install -d $RPM_BUILD_ROOT%{_datadir}/blender
cp -aR ./release/scripts $RPM_BUILD_ROOT%{_datadir}/blender
install ./release/VERSION $RPM_BUILD_ROOT%{_datadir}/blender
install ./bin/.blender/.Blanguages $RPM_BUILD_ROOT%{_datadir}/blender
install ./bin/.blender/.bfont.ttf $RPM_BUILD_ROOT%{_datadir}/blender
cp -a bin/.blender/locale $RPM_BUILD_ROOT%{_datadir}
install -d $RPM_BUILD_ROOT%{_mandir}/man1
install %{SOURCE5} $RPM_BUILD_ROOT%{_mandir}/man1/blender.1

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post

%postun
%update_desktop_database_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README doc/bf-members.txt doc/python-dev-guide.txt doc/oldbugs.txt doc/interface_API.txt
%doc release/text/{blender.html,release*.txt}
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_datadir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.png
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: blender.spec,v $
Revision 1.89  2008/10/24 18:44:25  arekm
- up to 2.48a

Revision 1.88  2008/10/18 21:19:44  arekm
- up to 2.48

Revision 1.87  2008/10/14 06:41:38  arekm
- release 4

Revision 1.86  2008/10/04 18:14:27  arekm
- release 3

Revision 1.85  2008/10/03 17:40:46  arekm
- release 2

Revision 1.84  2008-05-31 22:43:02  megabajt
- added update-desktop-database calls in %post / %postun

Revision 1.83  2008-05-31 20:53:27  megabajt
- updated to 2.46 (fixes CVE-2008-1102)
- build with system ffmpeg

Revision 1.82  2008-04-07 07:28:09  megabajt
- restore overwritten compiler flags (fixes #129)
- release 3

Revision 1.81  2008-02-23 19:39:12  glen
- release 2

Revision 1.80  2007-10-22 21:48:52  arekm
- up to 2.45

Revision 1.79  2007/06/14 18:15:02  arekm
- rel 1

Revision 1.78  2007/05/19 08:18:21  beorn
- BR: gcc3.4
- x64 fix thnx to Lukasz Krotowski (lukasz dot krotowski at gmail dot com)

Revision 1.77  2007/05/18 21:46:18  aredridel
- 2.44

Revision 1.76  2007/02/26 21:56:16  megabajt
- starting update to 2.43
- removed cast patch (included in sources)
- release 0.1 NFY

Revision 1.75  2007/02/12 21:23:49  glen
- tabs in preamble

Revision 1.74  2007/02/12 00:48:40  baggins
- converted to UTF-8

Revision 1.73  2007/01/12 08:24:16  cieciwa
- rel 3 to rebuild with new libraries.

Revision 1.72  2007/01/04 16:09:07  arekm
- rel 2

Revision 1.71  2006/11/06 13:23:04  cieciwa
- release 1

Revision 1.70  2006/09/29 17:14:56  tommat
- pass current python version

Revision 1.69  2006/09/29 14:50:58  wrobell
- rel. 0.2 (fixed some casting problems, thx pluto for help)

Revision 1.68  2006/09/29 12:00:53  wrobell
- fixed casting issues on x86_64 (probably)

Revision 1.67  2006/09/29 06:53:48  glen
- prep stuff moved to %prep

Revision 1.66  2006/09/29 01:25:37  wrobell
- ver. 2.42a
- drop build config installed using SOURCE, just generate it on the fly
  (imho, much simpler)
- above also fixes problem, when files are built in ~/rpm/BUILD instead
  of ~/rpm/BUILD/blender*

Revision 1.65  2006/09/13 10:10:10  cieciwa
- added BR: OpenEXR-devel

Revision 1.64  2006/09/13 09:48:34  cieciwa
- release 0.2,
- fixing (?) problem with python include.

Revision 1.63  2006/09/13 09:31:51  cieciwa
- next build try - addinf user config.

Revision 1.62  2006/09/13 07:05:39  cieciwa
- s/%{name}/%{name}%{version} in %setup.

Revision 1.61  2006/09/12 19:43:05  cieciwa
- updated to 2.42,
- release 0.1,
- updated MD5 sum.

Revision 1.60  2006/04/14 10:04:24  megabajt
- updated to 2.41

Revision 1.59  2005/11/28 23:39:21  zbyniu
- spaces -> tabs & other cosmetics

Revision 1.58  2005/09/06 18:31:03  arekm
- rel 2

Revision 1.57  2005/09/06 18:08:05  blekot
- %files fix

Revision 1.56  2005/06/20 13:25:51  blekot
- fixed install

Revision 1.55  2005/06/20 13:03:35  blekot
- up to 2.37a
- blender-noxml-yafray.patch updated

Revision 1.54  2005/05/10 19:10:51  darekr
- killed setting perms in %install; cosmetics

Revision 1.53  2005/02/22 01:25:33  gj
- cleanups, qboosh guidelines :-)

Revision 1.52  2005/02/19 21:59:36  gj
- installs manual page too. try it with man blender ;)

Revision 1.51  2005/02/19 21:44:26  gj
- much sanner handling of scripts and blender data. Hence blender was created to be installed in home dir only,
  it has to use ~/.blender/ dir with few links to correct location of all files. This is now done using wrapper.

Revision 1.50  2005/02/19 20:12:41  gj
- use BlenderLanguages file, I had a chat with blender devels, and they don't find any other elegant solution
- disable by default xml to yafray interface, it doesn't work with current version anyway

Revision 1.49  2005/02/19 18:05:03  gj
- last change was rather important, bump up release

Revision 1.48  2005/02/19 18:01:10  gj
- use ftgl for freetype2

Revision 1.47  2005/01/02 16:38:02  saq
- drop python23 bcond, autodetect python version

Revision 1.46  2004/12/28 06:00:15  havner
- 2.36

Revision 1.45  2004/12/23 17:34:32  saq
- bcond python23 for optional python 2.3/2.4 build
- release 2 for rebuild with python 2.4

Revision 1.44  2004/11/17 20:40:13  freetz
- 2.35, STBR

Revision 1.43  2004/09/20 09:28:55  wiget
- release 1
- STBR for AC

Revision 1.42  2004/09/17 15:27:47  wiget
- install blenderplayer too

Revision 1.41  2004/09/17 15:21:37  wiget
- updated to 2.34
- use scons to build package (autoconf support removed)
- more docs included in package
- release 0.1 NFY

Revision 1.40  2004/08/23 06:20:50  ankry
- rel. 4

Revision 1.39  2004/08/23 06:20:22  ankry

- really fixed locale dirs

Revision 1.38  2004/08/04 06:24:05  ankry
- i18n fixes, add more translations (-po_and_locale_names patch), rel. 3

Revision 1.37  2004/07/28 19:42:13  kali
- desktop fix, rel. 2

Revision 1.36  2004/03/19 23:46:22  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.35  2004/02/05 11:24:54  freetz
- 2.32, STBR for Ac

Revision 1.34  2003/12/22 01:11:18  maho
- changed rpm version from 2.31-a to 2.31a (a isn't alpha/beta/pre but normal
  version number)

Revision 1.33  2003/12/21 23:30:24  maho
- new version: 2.31a

Revision 1.32  2003/11/07 22:46:14  freetz
- md5

Revision 1.31  2003/11/07 22:44:09  freetz
- 2.30 (first step to new gui !)
- commented out some BRs (they are not needed till game-blender works)

Revision 1.30  2003/10/17 23:12:44  radek
- R: python-modules (SIG11 if run without it)

Revision 1.29  2003/10/17 11:09:24  radek
- added URL tag

Revision 1.28  2003/10/15 22:12:03  freetz
- finished - localization added, rel. 1

Revision 1.27  2003/10/13 22:52:41  freetz
- version 2.28c
- added TODO entry (installing int. lang. files)
  NFY but compiles and works without problems

Revision 1.26  2003/09/30 20:18:20  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.25  2003/08/06 16:36:13  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.24  2003/07/27 22:59:26  freetz
- typo

Revision 1.23  2003/07/27 22:55:09  freetz
- up to 2.28
- lt/ac/at strikes back
- added .desktop and icon files
- python stuff cleanups (useless)
- new BRs
- builds and works very well

Revision 1.22  2003/07/07 04:23:51  blues
- many small fixes, inspired by kloczek

Revision 1.21  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.20  2003/05/25 05:46:00  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2003/05/15 10:36:51  wrobell
- ver. 2.27 /builds but nfy/

Revision 1.18  2003/04/17 15:18:22  qboosh
- it's build without --enable-blenderstatic, so -static libs are not needed

Revision 1.17  2003/03/31 13:56:35  jareq
- added BR: SDL-static, libjpeg-static, libstdc++-static

Revision 1.16  2003/02/13 14:02:02  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.15  2003/01/18 22:45:26  juandon
- removed two lines with define

Revision 1.14  2002/11/25 14:29:24  qboosh
- nas-devel is required by SDL-devel

Revision 1.13  2002/11/25 13:31:02  djrzulf
- added BR: nas-devel

Revision 1.12  2002/10/21 22:21:50  wrobell
- more python work

Revision 1.11  2002/10/21 17:14:33  wrobell
- fixed build requirements
- fixed file list

Revision 1.10  2002/10/21 14:10:53  wrobell
- switch to unofficial version with auto{conf,make} support

Revision 1.9  2002/10/20 20:41:45  wrobell
- start update to 2.25b GPL'ed version

Revision 1.8  2002/10/10 12:12:11  marcus
- use new %doc

Revision 1.7  2002/04/25 15:53:54  arturs
- fixed a small typo

Revision 1.6  2002/03/19 15:55:44  ankry
- fixed URL

Revision 1.5  2002/02/23 01:33:37  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:12:30  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/09/01 16:41:10  newrom
- updated to 2.20

Revision 1.1  2001/08/02 13:36:11  jajcus
- new spec
